Connection Manager: Welcome

You can use Connection Manager to connect to remote networks by using profiles configured and provided by your network administrator. Most of the required configuration that you need to connect is contained in the profile; you supply your network credentials. Connection Manager also supports virtual private network (VPN) connections over the Internet by using your broadband network connection or a dial-up modem. For dial-up users, the administrator can provide a phone book with a list of available numbers, allowing you to simply select the best phone number for your current location.

For more information about Connection Manager, the Connection Manager Administration Kit, or the Connection Point Services phone book service, see Resources for Connection Manager.

The following topics are covered in this Help file:

  • Install a Connection Manager Profile

  • Connect Using a Connection Manager Profile

  • Resources for Connection Manager

  • User Interface: Connection Manager


Install a Connection Manager Profile

A Connection Manager profile installer is an executable file provided by your network administrator. When you run it on your computer, it installs all of the files needed to create a connection to a specific remote network. You access the connection by using a new entry in the Network Connections folder.

Membership in the Users group is the minimum group membership required to install a Connection Manager profile. However, only members of the Administrators group can install the profile for all users.

An administrator can deliver the Connection Manager profile to client computers using any available software distribution method:

  • Removable media: Floppy disk, CD, DVD, flash memory USB drive.

  • Network share: The Connection Manager profile installer can be placed on any network share from which the user can execute the profile installer.

  • E-mail: Send the profile installer as an attachment in e-mail.

  • Web site download: Send a link to a Web site from which the users can download and run the profile installer.

    Note

    Not all e-mail systems allow executable files as attachments due to the security risks.

  • Software distribution systems: Products such as Microsoft® Systems Management Server are ideal for automated distribution to a large number of clients without the need for any user interaction.

Note

If you log on as a limited user, then you can install a profile only for the current user account. If you log on as a local administrator, then you can choose to install the profile for all users, or just for the current user account.

To manually install a Connection Manager profile

  1. Browse to the executable file provided by your administrator, and then double-click it.

    A dialog box appears asking Do you wish to install [YourProfileName]?

  2. Click Yes to begin the installation.

  3. If a license agreement appears, read it, and then click Yes if you agree to accept the terms of the agreement and continue the installation.

  4. Under Make this connection available for, select either All users or My use only. If you select All users, you are required to have local administrator permissions. Installation continues depending on how you are logged on:

    • If you are logged on as the built-in Administrator account, installation proceeds.

    • If you are logged on as a member of the Administrators group, the User Account Control dialog box appears. Confirm that the action displayed is what you want, click Continue, and then installation continues.

    • If you are logged on as a standard user, the User Account Control dialog box appears and asks for administrator credentials. If you supply appropriate credentials, then the installer will install for all users. If you do not, then that option is disabled, and you can install only for the current user.

  5. If you want an icon on the desktop for this connection, select the Add a shortcut on the desktop check box.

    A dialog box displays the installation progress. When it completes, the icon appears on your desktop (if you selected the option to create an icon), the Network Connections folder appears with your new connection available, and the connection opens so you can configure dialing location settings and other settings as allowed by your network administrator.

Additional references

Connect Using a Connection Manager Profile

Resources for Connection Manager


Connect Using a Connection Manager Profile

Once a connection profile is installed on your computer, you can start it to connect to a remote network.

Users is the minimum group membership required to complete this procedure.

The following table specifies several ways to launch a Connection Manager profile.

Connection Manager profile starting method | Description
Desktop icon | Available if you chose to create an icon during installation.
Network Center icon in notification area of the taskbar | Right-click the icon ( Network Center Icon ), and then click Connect to. All connection profiles are available on the list. Select your profile and click Connect.
Connect to option on the Start menu | Click Start, and then click Connect to. All Connection Manager profiles are available on the list. Select the profile you want, and then click Connect.
Network Connections folder | All connection profiles are available in the list. Select the profile you want, and then click Connect.

When you start a Connection Manager profile, the main logon page appears. Many of the settings can be preconfigured for you by your network administrator. The settings that you need to configure depend on your network configuration.

Your network administrator might have provided the following information to help you:

  • Support information text. This appears directly below the Save password check box, and above the Connection status. This is often a phone number you can call for instructions on how to connect to the network.

  • Connection Manager Help. Your administrator can provide you with a custom help file that displays organization-specific information when you click the Help button on the main logon page.

If you still need assistance, contact your network administrator.

A typical connection might be configured like the following example. The specific details will vary based on your network configuration.

To connect using a typical Connection Manager profile

  1. On the main logon dialog box, enter your User name, Password, and Logon domain.

  2. Click Properties.

  3. On the General tab, ensure that the appropriate Phone number is displayed. If one is not there, Click the first Phone Book button, select a phone number from the list, and then click OK.

  4. If the number is not displayed in the correct format for dialing, click Dialing Rules to ensure that your location is set correctly, and to verify or configure the rules that apply for your location.

  5. Click the Internet Logon tab, if it is present. If this tab is present, then your remote network connection involves going through a third-party network, such as an Internet service provider (ISP). Your ISP might require different credentials than the remote network to which you are trying to connect.

    If the Internet Logon tab is not present, the user name and password on the main logon page are used for any credentials that are needed.

  6. On the Options tab, select the number of times the Connection Manager profile will attempt to connect before giving up.

  7. On the Advanced tab, you can configure Internet Connection Sharing (ICS) options for this connection. Your network might have specific requirements for ICS. Consult your network administrator.

  8. If you changed the dialup location or dialing rule settings, you can associate that configuration with a name that will appear at the top of the main connection logon page. You can have more than one dialup location within a single Connection Manager profile. One configuration might be appropriate from your home, while another works from your office. You can identify the name used to save a dialup location configuration on the General tab at the bottom of the page.

  9. Click OK to close the Connection Properties page.

  10. Click Connect to start the connection process.

Additional references

Install a Connection Manager Profile

Resources for Connection Manager


Resources for Connection Manager

  • For more information about Connection Manager, see Connection Manager in the Microsoft Windows Server TechCenter (at http://go.microsoft.com/fwlink/?linkid=62235).

  • For more information about using Connection Manager profiles from the Network and Sharing Center and the Network Connections folder, see Network and Sharing Center in the Microsoft Windows Server TechCenter (at http://go.microsoft.com/fwlink/?linkid=58934).

  • For information about creating and customizing Connection Manager profiles, see Connection Manager Administration Kit in the Microsoft Windows Server TechCenter (at http://go.microsoft.com/fwlink/?linkid=55986).


User Interface: Connection Manager

The topics listed here are designed for display when Help is requested from the user interface of the Connection Manager utility. Pressing F1 on each page listed below starts this Help file with the appropriate page displayed.

  • Connection Manager Logon Dialog Box

  • Connection Properties - General Tab

  • Connection Properties - Internet Logon Tab

  • Connection Properties - VPN Tab

  • Connection Properties - Options Tab

  • Connection Properties - Advanced Tab


Connection Manager Logon Dialog Box

Setting Description

Use settings for

(This setting only appears if you have saved more than one configuration for this connection.)

Provides a list of dialing location configurations that applies to your current location.

You can have more than one dialing location available to your Connection Manager profiles. To create or modify a configuration for a different location, click Properties, configure the desired settings, and then at the bottom of the General tab, click New and supply a name.

User name

Provides a location for you to type your user name on the remote network.

Password

Provides a location for you to type your password for authentication with the remote network. The password appears as dots to protect the confidentiality of your password.

Logon domain

Provides a location for you to type a logon domain for authentication with the remote network.

Save password

Specifies whether your password is saved and used automatically each time you connect to the remote network. Your administrator can disable this check box for security reasons.

Caution

If you select this check box, other people with access to this computer might be able to access the remote network by using your user name and password.

Connect automatically

Specifies whether to connect automatically when you open the logon dialog box. You cannot select this check box without first selecting the Save password check box. This option takes effect the next time you start the profile.

Connection status

Displays the current status of the connection, and prompts you for any information you must provide to log on to the remote network.

Connect

Begins the connection process.

After you connect, the logon dialog box closes, and a shortcut icon appears in the notification area of the taskbar. To see the status of the connection, double-click the shortcut icon. To disconnect from the remote network, right-click the icon and then click Disconnect.

Cancel

Closes the logon dialog box without connecting. If a connection is in progress, clicking Cancel discontinues the connection attempt.

Properties

Displays the Connection Name Properties dialog box, which you can use to change your connection preferences, including dialing information and modem settings. The settings available depend on how your network administrator configured the Connection Manager profile.

Help

Displays this Help file.

Additional references

Connection Properties - General Tab

Connection Properties - Internet Logon Tab

Connection Properties - VPN Tab

Connection Properties - Options Tab

Connection Properties - Advanced Tab


Connection Properties - General Tab

Setting | Description
I am already connected to the Internet | Specifies whether your connection to the Internet is always on, such as a broadband network link.
Dial a phone number to connect | Specifies whether your connection to the Internet is through a dial-up modem.
Phone number | Provides a location for you to type the phone number to dial.
Phone Book | Displays the phone number list provided by your network administrator.
Use dialing rules | Specifies whether to dial the specified phone number by using the Dialing Rule settings. Click Dialing Rules to select your current location and configure the dialing rules for that location.
Backup number | Provides a location for you to type the phone number to be tried if the primary number does not connect successfully.
Dialing Rules | Specifies your current location and the dialing rules associated with that location, such as whether to dial an area code or not.
Connect using | Specifies the modem device used to dial this call. Only currently installed modem devices are shown in the list.
Settings saved as | Displays the name used to save the current dialup location and dialing rule settings when you click OK. You can have more than one dialup location within a single Connection Manager profile. Select another name from the list if you want to save your configuration changes under a different name.
New | Creates a new dialing location that appears on the main logon dialog box.
Delete | Removes the selected dialup location. You cannot delete a dialup location if it is the only entry in the list.

Additional references

Connection Manager Logon Dialog Box

Connection Properties - Internet Logon Tab

Connection Properties - VPN Tab

Connection Properties - Options Tab

Connection Properties - Advanced Tab


Connection Properties - Internet Logon Tab

If this tab appears, it is typically used when you access a remote network through a third-party network, such as an Internet service provider (ISP). Your ISP might require different credentials to connect than the remote network to which you are trying to connect.

Setting | Description
User name | Provides a location for you to type the user name that grants you access to your Internet service provider. The password appears as dots to protect the confidentiality of your password.
Password | Provides a location for you to type the password that grants you access to your Internet service provider. The password appears as dots to protect the confidentiality of your password.
Save password | Specifies whether your password is saved and used automatically each time you connect to the remote network. Your network administrator can disable this check box for security reasons.
Caution

If you select the Save Password check box, other people with access to this computer might be able to access the remote network by using your user name and password.

Additional references

Connection Manager Logon Dialog Box

Connection Properties - General Tab

Connection Properties - VPN Tab

Connection Properties - Options Tab

Connection Properties - Advanced Tab


Connection Properties - VPN Tab

If this tab appears, select the VPN server that is the closest to your current location.

Setting | Description
VPN Destination | Specifies a list of VPN servers you can use to connect to the remote network.

Additional references

Connection Manager Logon Dialog Box

Connection Properties - General Tab

Connection Properties - Internet Logon Tab

Connection Properties - Options Tab

Connection Properties - Advanced Tab


Connection Properties - Options Tab

Setting | Description
Redial attempts | When using a modem to connect, specifies the number of connection attempts before the connection fails.
Idle time before disconnecting | Specifies the number of minutes the connection can remain online without traffic before Connection Manager disconnects.
Enable Logging | Provides a log file for diagnostic purposes when the connection is attempted.
View Log | Displays the current log in Notepad.
Clear Log | Deletes the contents of the accumulated log.

Additional references

Connection Manager Logon Dialog Box

Connection Properties - General Tab

Connection Properties - Internet Logon Tab

Connection Properties - VPN Tab

Connection Properties - Advanced Tab


Connection Properties - Advanced Tab

Settings on this tab control the Internet Connection Sharing (ICS) service on this computer.

Setting Description

Allow other network users to connect through this computer's internet connection

Select this check box to share this computer's Internet connection with other computers on your network. The connection can be used by the other computers even if this computer is locked. If the computer is turned off, the connection to the Internet will not be available. Enable Internet Connection Sharing on only one computer at a time on the network.

Your administrator can disable this option for security purposes.

Establish a dial-up connection whenever a computer on my network attempts to access the Internet

Select this check box to automatically begin a dial-up connection whenever a computer on the network attempts to connect to the Internet through this computer.

Do not select this check box if you are using a DSL or cable modem or have another type of continuous Internet connection.

Settings

Changes the Internet Connection Sharing configuration.

Additional references

Connection Manager Logon Dialog Box

Connection Properties - General Tab

Connection Properties - Internet Logon Tab

Connection Properties - VPN Tab

Connection Properties - Options Tab